m4_include(doctools.m4)

AC_DEFUN([LIBTOOLIZE_VERSION],
[
  #retrieve the major minor and version step
  MAJOR=`expr match "$PACKAGE_VERSION" ['\([0-9]*\)\.[0-9]*\.[0-9]*']`			
	MINOR=`expr match "$PACKAGE_VERSION" ['[0-9]*\.\([0-9]*\)\.[0-9]*']`			
	VSTEP=`expr match "$PACKAGE_VERSION" ['[0-9]*\.[0-9]*\.\([0-9]*\)']`			
 
	#calculate the libtoolize version system
	INTERFACE=`expr $MINOR + $MAJOR`
	echo $INTERFACE
	AGE=`expr $INTERFACE - $MAJOR`
	echo $AGE
	IMPLEMENTATION=$VSTEP	

	AC_SUBST(MAJOR)
	AC_SUBST(MINOR)
	AC_SUBST(VSTEP)

	AC_SUBST(INTERFACE)
	AC_SUBST(IMPLEMENTATION)
	AC_SUBST(AGE)

	AC_MSG_NOTICE("the libtool version-info string is: $INTERFACE:$IMPLEMENTATION:$AGE")
])

AC_DEFUN([AC_LIBRARY_VERSION],
[
	LIBRARY_VERSION=$1

  #retrieve the major minor and version step
  INTERFACE=`expr match "$LIBRARY_VERSION" ['\([0-9]*\):[0-9]*:[0-9]*']`			
	IMPLEMENTATION=`expr match "$LIBRARY_VERSION" ['[0-9]*:\([0-9]*\):[0-9]*']`			
	AGE=`expr match "$LIBRARY_VERSION" ['[0-9]*:[0-9]*:\([0-9]*\)']`			
 
	#calculate the libtoolize version system
	MAJOR=`expr $INTERFACE - $AGE`
	MINOR=`expr $INTERFACE - $MAJOR`
	VSTEP=$IMPLEMENTATION

	AC_SUBST(MAJOR)
	AC_SUBST(MINOR)
	AC_SUBST(VSTEP)
	AC_SUBST(LIBRARY_VERSION)

	AC_MSG_NOTICE("the library is: $MAJOR.$MINOR.$VSTEP")
])
