/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

#ifndef CLUSTER_BASE_TEMPL_CC
#define CLUSTER_BASE_TEMPL_CC

#ifdef _STANDARD_C_PLUS_PLUS
  #include <stdexcept>
#else
  #include <stdexception.h>
#endif


//*******************************************************************************
template<class graph_t> pair<cluster_algorithm<graph_t>::cluster_cit, 
														 cluster_algorithm<graph_t>::cluster_cit> 
cluster_algorithm<graph_t>::get_cluster(int ix, size_t& count)
//*******************************************************************************
{
  
	if ((ix>=0) && (ix<clusters.size()))
	{
		clusters_cit cl = last_retrieved.second;

		//jump to the right cluster entry
		if (ix == (last_retrieved.first + 1)) ++cl;
		else if (ix == (last_retrieved.first - 1)) --cl;
		else 
		{
			cl = clusters.begin();
			while ((ix>0) && (cl!=clusters.end()))
			{
				++cl;
				--ix;
			}
		}
		 

		//set the last_retrieve member to the new value
		last_retrieved.first = ix;
		last_retrieved.second = cl;

		count = cl->size();
		return pair<cluster_cit,cluster_cit>(cl->begin(),cl->end());
	}
	else
		throw out_of_range("ix");

}

#endif //CLUSTER_BASE_TEMPL_CC
