/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

#ifndef CONNECTED_COMPS_TEMPL_CC
#define CONNECTED_COMPS_TEMPL_CC


//*****************************************************************************
// CONNECTED_COMPONENTS
//*****************************************************************************

//*******************************************************************************
template<class graph_t>
int connected_components<graph_t>::operator()(graph_t& graph)
//*******************************************************************************
{
	typedef map<vertex_t, int>::const_iterator vmap_cit;

	map<vertex_t, int> visit_map;
	connected_visitor<vertex_t, graph_t> cc_visitor(visit_map);
	
	depth_first_search(graph, visitor(cc_visitor));

	int max_component=-1;
	for(vmap_cit i=visit_map.begin();i!=visit_map.end();++i)
		while (max_component<i->second)
		{
			++max_component;
			clusters.push_back(cluster_t());
		}

	for(vmap_cit i=visit_map.begin();i!=visit_map.end();++i)
	{
		int comp = i->second;
		clusters_it c = clusters.begin();
		
		while(comp>0)
		{
			--comp;
			++c;
		}
		
		c->insert(i->first);
	}
	
	return clusters.size();
}	

#endif
