#
# Autoconf macros for configuring the build of Python extension modules
#
# copied from the 
# $PostgreSQL: /cvsroot/pgsql-server/config/python.m4,v 1.7 2003/11/29 19:51:17 pgsql Exp $
#

# AC_PATH_PYTHON
# ----------------
# Look for Python and set the output variable 'PYTHON'
# to 'python' if found, empty otherwise.
AC_DEFUN([AC_PATH_PYTHON],
[AC_PATH_PROG(PYTHON, python)
if test x"$PYTHON" = x""; then
  AC_MSG_ERROR([Python not found])
fi
])


# AC_CHECK_PYTHON_DIRS
# -----------------------
# Determine the name of various directory of a given Python installation.
AC_DEFUN([AC_CHECK_PYTHON_DIRS],
[AC_REQUIRE([AC_PATH_PYTHON])
AC_MSG_CHECKING([Python installation directories])
PYTHON_VERSION=`${PYTHON} -c "import sys; print sys.version[[:3]]"`
PYTHON_PREFIX=`${PYTHON} -c "import sys; print sys.prefix"`
PYTHON_EXECPREFIX=`${PYTHON} -c "import sys; print sys.exec_prefix"`
PYTHON_CONFIG="${PYTHON_EXECPREFIX}/lib/python${PYTHON_VERSION}/config"
PYTHON_INCLUDE="${PYTHON_PREFIX}/include/python${PYTHON_VERSION}"
if test "$PYTHON_PREFIX" != "$PYTHON_EXECPREFIX"; then
  PYTHON_INCLUDE="${PYTHON_EXECPREFIX}/include/python${PYTHON_VERSION} $PYTHON_INCLUDE"
fi

AC_SUBST(PYTHON_PREFIX)[]dnl
AC_SUBST(PYTHON_EXECPREFIX)[]dnl
AC_SUBST(PYTHON_CONFIG)[]dnl
AC_SUBST(PYTHON_INCLUDE)[]dnl
# This should be enough of a message.
if test "$PYTHON_PREFIX" != "$PYTHON_EXECPREFIX"; then
  AC_MSG_RESULT([$PYTHON_PREFIX/lib/python${PYTHON_VERSION} and $PYTHON_EXECPREFIX/lib/python${PYTHON_VERSION}])
else
  AC_MSG_RESULT([$PYTHON_PREFIX/lib/python${PYTHON_VERSION}])
fi
])
# AC_CHECK_PYTHON_DIRS


# PGAC_CHECK_PYTHON_EMBED_SETUP
# -----------------------------
# Courtesy of the INN 2.3.1 package...
AC_DEFUN([AC_CHECK_PYTHON_EMBED_SETUP],
[AC_REQUIRE([AC_CHECK_PYTHON_DIRS])
AC_MSG_CHECKING([how to link an embedded Python application])

if test ! -f "$PYTHON_CONFIG/Makefile"; then
  AC_MSG_RESULT(no)
  AC_MSG_ERROR([Python Makefile not found])
fi

_python_libs=`grep '^LIBS=' $PYTHON_CONFIG/Makefile | sed 's/^.*=//'`
_python_libc=`grep '^LIBC=' $PYTHON_CONFIG/Makefile | sed 's/^.*=//'`
_python_libm=`grep '^LIBM=' $PYTHON_CONFIG/Makefile | sed 's/^.*=//'`
_python_liblocalmod=`grep '^LOCALMODLIBS=' $PYTHON_CONFIG/Makefile | sed 's/^.*=//'`
_python_libbasemod=`grep '^BASEMODLIBS=' $PYTHON_CONFIG/Makefile | sed 's/^.*=//'`

pgac_tab="	" # tab character
PYTHON_LIBSPEC=`echo X"-L$PYTHON_CONFIG $_python_libs $_python_libc $_python_libm -lpython$PYTHON_VERSION $_python_liblocalmod $_python_libbasemod" | sed -e 's/^X//' -e "s/[[ $pgac_tab]][[ $pgac_tab]]*/ /g"`

AC_MSG_RESULT([${python_libspec}])

AC_SUBST(PYTHON_LIBSPEC)[]dnl
])
# AC_CHECK_PYTHON_EMBED_SETUP
