/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

#include "patchview.hh"

#ifdef HAVE_NAMESPACES
using namespace std;
using namespace Surface;
#endif 

//******************************************************************************
void PatchView::postCopying(DeepCopyInformation& copyinfo) const
//******************************************************************************
{
  PatchView* view = dynamic_cast<PatchView*>(copyinfo.newview);
  
  for(border_cit b=border_.begin();b!=border_.end();++b)
    view->border_.push_back(copyinfo.pointmap[*b]);
  
  view->rebuildBorderMap();

	view->setRadius(radius_);
	view->setMargin(margin_);	
	view->setCentralPoint(copyinfo.pointmap[center_]);	
}

//******************************************************************************
PatchView::borderIter PatchView::borderPosOf(SurfaceEntity::points_it element)
//******************************************************************************
{
	bordermap_cit bm = bordermap_.find(element);
	if (bm != bordermap_.end())
		return borderIter(*this, bm->second);
	else
		return borderIter(*this, border_.end());
}

//******************************************************************************
void PatchView::rebuildBorderMap()
//******************************************************************************
{
  bordermap_.clear();

  for(border_it b=border_.begin();b!=border_.end();++b)
    bordermap_[*b] = b;
}
