/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

#include "trianglelist.hh"

#ifdef HAVE_NAMESPACES
using namespace std;
using namespace Surface;
using namespace RazorBack;
#endif


//******************************************************************************
SurfaceEntity::triangles_it TriangleList::findNext(int jump) const
//******************************************************************************
{
	//add jump to the triangle index
	while (jump>0)
	{
		++fTriangleIndex; 
		--jump;
	}
	//search for the next triangle that contains this point
	while((fTriangleIndex!=surface_->endTriangles()) &&
				(fTriangleIndex->isPointVertex(point_)))
		++fTriangleIndex;
	
	if (fTriangleIndex!=surface_->endTriangles())
		return fTriangleIndex++;
	else 
		return fTriangleIndex;
}
