/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

#include "viewiterator.hh"
#include "surfaceview.hh"

#ifdef HAVE_NAMESPACES
using namespace std;
using namespace Surface;
#endif 

//******************************************************************************
ViewIterator::ViewIterator(SurfaceView& view)
//******************************************************************************
:view_(0)
{
  view.attach(*this); 
}

//******************************************************************************
ViewIterator::ViewIterator(const ViewIterator& src) 
//******************************************************************************
: view_(0)
{
  src.view_->attach(*this);
}

//******************************************************************************
ViewIterator::~ViewIterator()
//******************************************************************************
{
	if (view_) view_->detach(*this);
}

//******************************************************************************
void ViewIterator::update()
//******************************************************************************
{
	if (view_) view_->detach(*this); 
	view_ = 0;
}
