/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

/**
 * \file graphview_test.hh
 *
 * Author : Christian Hofbauer (christian.hofbauer@pharma.novartis.com)\n
 * started at 19 Mar 2004, last CVS commit 2004/03/19 14:03:35
 */

#ifndef GRAPHVIEW_TEST_HH
#define GRAPHVIEW_TEST_HH

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <boost/test/unit_test_suite.hpp>

#include <surface.hh>

#ifdef HAVE_NAMESPACES
namespace Surface
{
#endif
	class GraphView;
#ifdef HAVE_NAMESPACES
};
#endif

struct graphview_test
{
	graphview_test();

	~graphview_test();

	void test_simplebuilder();
  void test_deepcopy();
  void test_destruction();

	void test_weights();
	void test_onsurfacedistance();

	Surface::SurfaceEntity surface;
	Surface::GraphView* view;
};

struct graphview_test_suite : public boost::unit_test_framework::test_suite
{
	
	graphview_test_suite();
};

#endif // GRAPHVIEW_TEST_HH
