/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

/**
 * \file patchview_test.hh
 *
 * Author : Christian Hofbauer (christian.hofbauer@pharma.novartis.com)\n
 * started at 19 Mar 2004, last CVS commit 2004/03/19 14:03:35
 */

#ifndef PATCHVIEW_TEST_HH
#define PATCHVIEW_TEST_HH

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <boost/test/unit_test_suite.hpp>

#ifdef HAVE_NAMESPACES
namespace Surface
{
#endif
	class SurfaceEntity;
	class PatchView;
	class VectorView;
#ifdef HAVE_NAMESPACES
};
#endif

struct patchview_test
{
	Surface::SurfaceEntity* surface;
	Surface::SurfaceEntity* reference;
	Surface::PatchView* patch;
	Surface::VectorView* view;
			
	patchview_test();
	~patchview_test();

	void test_patchbuilder();
	void test_border();
	void test_savepatch();
	void test_deepcopy();

};

struct patchview_test_suite : public boost::unit_test_framework::test_suite 
{
	patchview_test_suite();
};

#endif // PATCHVIEW_TEST_HH
