/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

#ifndef SURFACE_TEST_HH
#define SURFACE_TEST_HH

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <boost/test/unit_test_suite.hpp>

#include <surface.hh>

struct surface_test
{
	RbDblV pa;
	RbDblV pb;
	RbDblV pc;
	
	RbDblV na;
	RbDblV nb;
	RbDblV nc;
		 
	RbDblV pointdata;
		 
	Surface::SurfaceEntity surface;
		 
	surface_test();		 

	void test_init();
	void test_adddelete();
	void test_data();
	void test_copy();
  void test_assign();
};
	 
struct surface_test_suite : public boost::unit_test_framework::test_suite 
{
  surface_test_suite();
};
	  

#endif //SURFACE_TEST_HH
