/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

/**
 * \file triangle_test.hh
 *
 * Author : Christian Hofbauer (christian.hofbauer@pharma.novartis.com)\n
 * started at 19 Mar 2004, last CVS commit 2004/03/19 14:03:35
 */

#ifndef TRIANGLE_TEST_HH
#define TRIANGLE_TEST_HH

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <boost/test/unit_test_suite.hpp>

#include <surface.hh>

struct triangle_test
{
	Surface::SurfaceEntity surface;
			
	triangle_test();

	void test_center();
	void test_normal();
	void test_area();
 
};

struct triangle_test_suite : public boost::unit_test_framework::test_suite 
{
	triangle_test_suite();
};

#endif // TRIANGLE_TEST_HH
