/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

/**
 * \file utils.hh
 *
 * Author : Christian Hofbauer (christian.hofbauer@pharma.novartis.com)\n
 * started at 02 Apr 2004, last CVS commit 2004/04/02 07:56:16
 */

#ifndef UTILS_HH
#define UTILS_HH

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifdef HAVE_NAMESPACES
namespace Surface
{
#endif
  class SurfaceEntity;
  class VectorView;
  class PatchView;
  class GraphView;
#ifdef HAVE_NAMESPACES
};
#endif

void check_surfaces(const Surface::SurfaceEntity& query, 
										const Surface::SurfaceEntity& templ);

void compare_views(Surface::VectorView& templ, Surface::VectorView& query);
void compare_views(Surface::PatchView& templ,  Surface::PatchView& query);
void compare_views(Surface::GraphView& templ,  Surface::GraphView& query);

#endif //UTILS_HH
