/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

#include "espcalculator.hh"

#include <surface.hh>
#include "propcalcfactory.hh"

#ifdef HAVE_NAMESPACES
using namespace std;
SURFACENS_USE
#endif 

REGISTER_PROPCALCCLASS("esp", ESPCalculator);

//******************************************************************************
bool ESPCalculator::operator()()
//******************************************************************************
{
	int colix = setupColumn();

	for(SurfaceEntity::points_it p=surface_->begin();p!=surface_->end();++p)
	{
		double esp = 0.0;
		for(atoms_cit a=atoms_.begin();a!=atoms_.end();++a)
			esp += a->fieldprop/(p->getPosition() - a->pos).vec_len();

		p->setData(colix, esp);
	}
}

//******************************************************************************
int ESPCalculator::setupColumn()
//******************************************************************************
{
	int colix = surface_->indexOfColumn(colname_);
	if (colix<0)
      colix = surface_->addColumn(colname_);
  return colix;
}


