/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

#include "propcalculator.hh"

#ifdef HAVE_STD
#  include <sstream>
#else
#  include <sstream.h>
#endif


#ifdef HAVE_NAMESPACES
using namespace std;
SURFACENS_USE
#endif 

//******************************************************************************
WrongParameterValue::WrongParameterValue(const std::string name, 
																				 const std::string value)
//******************************************************************************
{
	stringstream errstr;
	errstr << "Could not parse the value " << value 
				 << " for the parameter " << name << "!";

	message_ = errstr.str();
}

//******************************************************************************
void PropCalculator::init(SurfaceEntity* surface)
//******************************************************************************
{
	surface_ = surface;
}

//******************************************************************************
string PropCalculator::uppercase(const string& str)
//******************************************************************************
{
	string result = str;

	for(string::iterator i=result.begin();i!=result.end();++i)
		if ((*i >= 97) && (*i<= 122))	*i -= 32;

	return result;
}
