# Check for MYSQL compiler flags, linker flags, and binary packages
AC_DEFUN([CHECK_MYSQL],
[
AC_REQUIRE([AC_PROG_CXX])

AC_ARG_WITH([Mysql-Incl], 
						AC_HELP_STRING([--with-Mysql-Incl=DIR],
	                         [the directory of the Mysql library include files
	                         (def.=/usr/include/mysql)]),
						[MYSQL_INCL=$withval])

AC_ARG_WITH([Mysql-Lib], 
						AC_HELP_STRING([--with-Mysql-Lib=DIR],
	                         [the directory of the Mysql library files
	                         (def.=/usr/lib)]),
						[MYSQL_LIB=$withval])

AC_MSG_CHECKING([mysql include directory])
# Check that MYSQL_INCL is defined or that --with-Mysql-Incl given
if test x"$MYSQL_INCL" = x ; then
MYSQL_INCLUDE_SEARCH="/usr/include/mysql /usr/local/mysql /usr/local/include/mysql /usr/share/include/mysql /opt/include/mysql "

  for i in $MYSQL_INCLUDE_SEARCH; do
    if test -f $i/mysql.h -a x"$MYSQL_INCL" = x; then 
      MYSQL_INCL=$i; 
    fi
  done
fi
if test x"$MYSQL_INCL" = x ; then
    AC_MSG_ERROR([*** MYSQL_INCL must be defined, or --with-Mysql-Incl option given])
fi
AC_MSG_RESULT([$MYSQL_INCL])

AC_MSG_CHECKING([mysql library directory])
# Check that MYSQL_LIB is defined or that --with-Mysql-Lib given
if test x"$MYSQL_LIB" = x ; then
  MYSQL_LIB_SEARCH="$libdir /usr/lib/ /usr/local/lib /usr/share/lib /opt/lib"

  for i in $MYSQL_LIB_SEARCH; do
    if test -f $i/libmysqlclient.so -a x$MYSQL_LIB = x; then 
      MYSQL_LIB=$i; 
			break
    fi
    if test -f $i/libmysqlclient.a -a x$MYSQL_LIB = x; then 
      MYSQL_LIB=$i; 
			break
    fi
  done
fi
if test x"$MYSQL_LIB" = x ; then
    AC_MSG_ERROR([*** MYSQL_LIB must be defined, or --with-Mysql-Lib option given])
fi
AC_MSG_RESULT([$MYSQL_LIB])

])

AC_SUBST(MYSQL_INCL)
AC_SUBST(MYSQL_LIB)

