# Check for Qt compiler flags, linker flags, and binary packages
AC_DEFUN([CHECK_XERCESC],
[
AC_REQUIRE([AC_PROG_CXX])

AC_ARG_WITH([Xercesc-Incl], 
						AC_HELP_STRING([--with-Xercesc-Incl=DIR],
	                         [the directory of the Xercesc library include files
	                         (def.=/usr/include)]),
						[XERCESC_INCL=$withval])

AC_ARG_WITH([Xercesc-Lib], 
						AC_HELP_STRING([--with-Xercesc-Lib=DIR],
	                         [the directory of the Xercesc library files
	                         (def.=/usr/lib)]),
						[XERCESC_LIB=$withval])


AC_MSG_CHECKING([Xerces-c include directory])
# Check that XERCESC_INCL is defined or that --with-Xercesc-Incl given
if test x"$XERCESC_INCL" = x ; then
XERCESC_INCLUDE_SEARCH="/usr/include/xercesc /usr/local/xercesc /usr/local/include/xercesc /usr/share/xercesc /opt/include/xercesc"

  for i in $XERCESC_INCLUDE_SEARCH; do
    if test -f $i/util/XercesDefs.hpp -a x"$XERCESC_INCL" = x; then 
      XERCESC_INCL=$i; 
    fi
  done
fi
if test x"$XERCESC_INCL" = x ; then
    AC_MSG_ERROR([*** XERCESC_INCL must be defined, or --with-Xercesc-Incl option given])
fi
AC_MSG_RESULT([$XERCESC_INCL])

AC_MSG_CHECKING([Xerces-c library directory])
# Check that XERCESC_LIB is defined or that --with-Xercesc-Lib given
if test x"$XERCESC_LIB" = x ; then
  XERCESC_LIB_SEARCH="$libdir /usr/lib/ /usr/local/lib /usr/share/lib /opt/lib"

  for i in $XERCESC_LIB_SEARCH; do
    if test -f $i/libxerces-c.so -a x$XERCESC_LIB = x; then 
      XERCESC_LIB=$i; 
			break
    fi
    if test -f $i/libxerces-c.a -a x$XERCESC_LIB = x; then 
      XERCESC_LIB=$i; 
			break
    fi
  done
fi
if test x"$XERCESC_INCL" = x ; then
    AC_MSG_ERROR([*** XERCESC_LIB must be defined, or --with-Xercesc-Lib option given])
fi
AC_MSG_RESULT([$XERCESC_LIB])

])

AC_SUBST(XERCESC_INCL)
AC_SUBST(XERCESC_LIB)
