# Check for bestrot compiler flags, linker flags, and binary packages
AC_DEFUN([CHECK_BESTROT],
[
AC_REQUIRE([AC_PROG_CXX])

AC_ARG_WITH([bestrot-Incl], 
						AC_HELP_STRING([--with-bestrot-Incl=DIR],
	                         [the directory of the bestrot library include files]),
						[BESTROT_INCL=$withval])
AC_ARG_WITH([bestrot-Lib], 
						AC_HELP_STRING([--with-bestrot-Lib=DIR],
	                         [the directory of the bestrot library files]),
						[BESTROT_LIB=$withval])

AC_MSG_CHECKING([bestrot include directory])
# Check that BESTROT_INCL is defined or that --with-bestrot-Incl given
if test x"$BESTROT_INCL" = x ; then
BESTROT_INCLUDE_SEARCH="/usr/include/bestrot /usr/local/bestrot /usr/local/include/bestrot /usr/share/include/bestrot /opt/include/bestrot "

  for i in $BESTROT_INCLUDE_SEARCH; do
    if test -f $i/bestrot.h -a x"$BESTROT_INCL" = x; then 
      BESTROT_INCL=$i; 
    fi
  done
fi
if test x"$BESTROT_INCL" = x ; then
    AC_MSG_ERROR([*** BESTROT_INCL must be defined, or --with-bestrot-Incl option given])
fi
AC_MSG_RESULT([$BESTROT_INCL])

AC_MSG_CHECKING([bestrot library directory])
# Check that BESTROT_LIB is defined or that --with-bestrot-Lib given
if test x"$BESTROT_LIB" = x ; then
  BESTROT_LIB_SEARCH="$libdir /usr/lib/ /usr/local/lib /usr/share/lib /opt/lib"

  for i in $BESTROT_LIB_SEARCH; do
    if test -f $i/libbestrot.so -a x$BESTROT_LIB = x; then 
      BESTROT_LIB=$i; 
			break
    fi
    if test -f $i/libbestrot.a -a x$BESTROT_LIB = x; then 
      BESTROT_LIB=$i; 
			break
    fi
  done
fi
if test x"$BESTROT_LIB" = x ; then
    AC_MSG_ERROR([*** BESTROT_LIB must be defined, or --with-bestrot-Lib option given])
fi
AC_MSG_RESULT([$BESTROT_LIB])

])

AC_SUBST(BESTROT_INCL)
AC_SUBST(BESTROT_LIB)

