# Check for graphalgos compiler flags, linker flags, and binary packages
AC_DEFUN([CHECK_GRAPHALGOS],
[
AC_REQUIRE([AC_PROG_CXX])

AC_ARG_WITH([Graph-Algorithms], 
						AC_HELP_STRING([--with-Graph-Algorithms=DIR],
	                         [the directory of the graphalgos library include files]),
						[GRAPHALGOSDIR=$withval])

AC_MSG_CHECKING([graphalgos include directory])
# Check that GRAPHALGOSDIR is defined or that --with-graphalgos-Incl given
if test x"$GRAPHALGOSDIR" = x ; then
GRAPHALGOS_INCLUDE_SEARCH="/usr/include/graph-algorithms /usr/local/graph-algorithms /usr/local/include/graph-algorithms /usr/share/include/graph-algorithms /opt/include/graph-algorithms "

  for i in $GRAPHALGOS_INCLUDE_SEARCH; do
    if test -f $i/bron_kerbosch.hh -a x"$GRAPHALGOSDIR" = x; then 
      GRAPHALGOSDIR=$i; 
    fi
  done
fi
if test x"$GRAPHALGOSDIR" = x ; then
    AC_MSG_ERROR([*** GRAPHALGOSDIR must be defined, or --with-graphalgos-Incl option given])
fi
AC_MSG_RESULT([$GRAPHALGOSDIR])

AC_SUBST(GRAPHALGOSDIR)

])