m4_include(mysql.m4)
m4_include(trimesh.m4)
m4_include(bestrot.m4)
m4_include(xmlutils.m4)

# Check for surfcomp compiler flags, linker flags, and binary packages
AC_DEFUN([CHECK_SURFCOMP],
[
AC_REQUIRE([AC_PROG_CXX])
AC_REQUIRE([CHECK_RAZORBACK])
AC_REQUIRE([CHECK_MYSQL])
AC_REQUIRE([CHECK_TRIMESH])
AC_REQUIRE([CHECK_XMLUTILS])
AC_REQUIRE([CHECK_BESTROT])

AC_ARG_WITH([surfcomp-Incl], 
						AC_HELP_STRING([--with-surfcomp-Incl=DIR],
	                         [the directory of the surfcomp library include files]),
						[SURFCOMP_INCL=$withval])
AC_ARG_WITH([surfcomp-Lib], 
						AC_HELP_STRING([--with-surfcomp-Lib=DIR],
	                         [the directory of the surfcomp library files]),
						[SURFCOMP_LIB=$withval])

AC_MSG_CHECKING([surfcomp include directory])
# Check that SURFCOMP_INCL is defined or that --with-surfcomp-Incl given
if test x"$SURFCOMP_INCL" = x ; then
SURFCOMP_INCLUDE_SEARCH="/usr/include/surfacecomp /usr/local/surfacecomp /usr/local/include/surfacecomp /usr/share/include/surfacecomp /opt/include/surfacecomp "

  for i in $SURFCOMP_INCLUDE_SEARCH; do
    if test -f $i/cluster.hh -a x"$SURFCOMP_INCL" = x; then 
      SURFCOMP_INCL=$i; 
    fi
  done
fi
if test x"$SURFCOMP_INCL" = x ; then
    AC_MSG_ERROR([*** SURFCOMP_INCL must be defined, or --with-surfcomp-Incl option given])
fi
AC_MSG_RESULT([$SURFCOMP_INCL])

AC_MSG_CHECKING([surfcomp library directory])
# Check that SURFCOMP_LIB is defined or that --with-surfcomp-Lib given
if test x"$SURFCOMP_LIB" = x ; then
  SURFCOMP_LIB_SEARCH="$libdir /usr/lib/ /usr/local/lib /usr/share/lib /opt/lib"

  for i in $SURFCOMP_LIB_SEARCH; do
    if test -f $i/libsurfcomp.so -a x$SURFCOMP_LIB = x; then 
      SURFCOMP_LIB="${i}/libsurfcomp.la"
			break
    fi
  done
fi
if test x"$SURFCOMP_LIB" = x ; then
    AC_MSG_ERROR([*** SURFCOMP_LIB must be defined, or --with-surfcomp-Lib option given])
fi
AC_MSG_RESULT([$SURFCOMP_LIB])

])

AC_SUBST(SURFCOMP_INCL)
AC_SUBST(SURFCOMP_LIB)

