/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

#ifndef CPFILTER_TEMPL_CC
#define CPFILTER_TEMPL_CC

//*******************************************************************************
template<class Out>
size_t CPFilter::getCPoints(size_t surface, cptype_t cptype, Out ins) const
//*******************************************************************************
{
	int c = 0;

	//adjust the surface index
	if (surface<0) surface = 0;
	if (surface>1) surface = 1;

	cplist_cit begin = (cptype==cpTop) ? 
		lCPLists[surface].first.begin() : lCPLists[surface].second.begin();
	cplist_cit end   = (cptype==cpTop) ? 
		lCPLists[surface].first.end() : lCPLists[surface].second.end();

	while(begin!=end)
	{
		*ins++= *begin++;
		++c;
	}	

	return c;
}

#endif //CPFILTER_TEMPL_CC
