m4_include(RazorBack.m4)
m4_include(boost.m4)

# Check for trimesh compiler flags, linker flags, and binary packages
AC_DEFUN([CHECK_TRIMESH],
[
AC_REQUIRE([AC_PROG_CXX])
AC_REQUIRE([CHECK_RAZORBACK])
AC_REQUIRE([AC_CXX_BOOST_GRAPH])

AC_ARG_WITH([trimesh-Incl], 
						AC_HELP_STRING([--with-trimesh-Incl=DIR],
	                         [the directory of the trimesh library include files]),
						[TRIMESH_INCL=$withval])
AC_ARG_WITH([trimesh-Lib], 
						AC_HELP_STRING([--with-trimesh-Lib=DIR],
	                         [the directory of the trimesh library files]),
						[TRIMESH_LIB=$withval])

AC_MSG_CHECKING([trimesh include directory])
# Check that TRIMESH_INCL is defined or that --with-trimesh-Incl given
if test x"$TRIMESH_INCL" = x ; then
TRIMESH_INCLUDE_SEARCH="/usr/include/trimesh /usr/local/trimesh /usr/local/include/trimesh /usr/share/include/trimesh /opt/include/trimesh "

  for i in $TRIMESH_INCLUDE_SEARCH; do
    if test -f $i/trimesh.hh -a x"$TRIMESH_INCL" = x; then 
      TRIMESH_INCL=$i; 
    fi
  done
fi
if test x"$TRIMESH_INCL" = x ; then
    AC_MSG_ERROR([*** TRIMESH_INCL must be defined, or --with-trimesh-Incl option given])
fi
AC_MSG_RESULT([$TRIMESH_INCL])

AC_MSG_CHECKING([trimesh library directory])
# Check that TRIMESH_LIB is defined or that --with-trimesh-Lib given
if test x"$TRIMESH_LIB" = x ; then
  TRIMESH_LIB_SEARCH="$libdir /usr/lib/ /usr/local/lib /usr/share/lib /opt/lib"

  for i in $TRIMESH_LIB_SEARCH; do
    if test -f $i/libtrimesh.so -a x$TRIMESH_LIB = x; then 
      TRIMESH_LIB=${i}/libtrimesh.la; 
			break
    fi
  done
fi
if test x"$TRIMESH_LIB" = x ; then
    AC_MSG_ERROR([*** TRIMESH_LIB must be defined, or --with-trimesh-Lib option given])
fi
AC_MSG_RESULT([$TRIMESH_LIB])

])

AC_SUBST(TRIMESH_INCL)
AC_SUBST(TRIMESH_LIB)

