m4_include(xercesc.m4)

# Check for Razorback compiler flags, linker flags, and binary packages
AC_DEFUN([CHECK_XMLUTILS],
[
AC_REQUIRE([AC_PROG_CXX])
AC_REQUIRE([CHECK_XERCESC])

AC_ARG_WITH([Xmlutils-Incl], 
						AC_HELP_STRING([--with-Xmlutils-Incl=DIR],
	                         [the directory of the Xmlutils library include files]),
						[XMLUTILS_INCL=$withval])
AC_ARG_WITH([Xmlutils-Lib], 
						AC_HELP_STRING([--with-Xmlutils-Lib=DIR],
	                         [the directory of the Xmlutils library files]),
						[XMLUTILS_LIB=$withval])

AC_MSG_CHECKING([Xmlutils include directory])
# Check that XMLUTILS_INCL is defined or that --with-Xmlutils-Incl given
if test x"$XMLUTILS_INCL" = x ; then
XMLUTILS_INCLUDE_SEARCH="$PWD/../xmlutils/src /usr/include/xmlutils /usr/local/xmlutils /usr/local/include/xmlutils /usr/share/include/xmlutils /opt/include/xmlutils"

  for i in $XMLUTILS_INCLUDE_SEARCH; do
    if test -f $i/xmlutils.hh -a x"$XMLUTILS_INCL" = x; then 
      XMLUTILS_INCL=$i; 
    fi
  done
fi
if test x"$XMLUTILS_INCL" = x ; then
    AC_MSG_ERROR([*** XMLUTILS_INCL must be defined, or --with-Xmlutils-Incl option given])
fi
AC_MSG_RESULT([$XMLUTILS_INCL])

AC_MSG_CHECKING([Xmlutils library directory])
# Check that XMLUTILS_LIB is defined or that --with-Xmlutils-Lib given
if test x"$XMLUTILS_LIB" = x ; then
  XMLUTILS_LIB_SEARCH="$PWD/../xmlutils/src $libdir /usr/lib/ /usr/local/lib /usr/share/lib /opt/lib"

  for i in $XMLUTILS_LIB_SEARCH; do
    if test -f $i/libxmlutils.la -a x$XMLUTILS_LIB = x; then 
      XMLUTILS_LIB="$i/libxmlutils.la"; 
		  break
    fi
  done
fi
if test x"$XMLUTILS_LIB" = x ; then
    AC_MSG_ERROR([*** XMLUTILS_LIB must be defined, or --with-Xmlutils-Lib option given])
fi
AC_MSG_RESULT([$XMLUTILS_LIB])

])

AC_SUBST(XMLUTILS_INCL)
AC_SUBST(XMLUTILS_LIB)

