.TH "surfaceconvert" 3 "6 Jul 2004" "Version 1.0" "surfcomp" \" -*- nroff -*-
.SH NAME 
convert \- surface file format conversion

.SH SYNOPSIS 
.BI "surfaceconvert [ -h -d ] [ -i" " <INFILE>" "] [ -o " "<OUTFILE> " "] "
.I  <INPUT_FORMAT> <OUTPUT_FORMAT>

.SH DESCRIPTION
.B surfaceconvert
is the file format conversion tool of the libsurface
library. It automatically converts between all surface file formats available
in the libsurface library. Which file formats are actually available, depends
on the installed library version. A call of 
.B surconvert -h
will provide you with a list of available file formats.
.PP
The tool expects a surface definition in the 
.I INPUT_FORMAT
from either stdin or the specified 
.I INFILE 
and writes a surface in the 
.I OUTPUT_FORMAT
to either stdout or the specified 
.I OUTFILE. 
It is furthermore possible to scan the input surface for duplicated surface
points (i.e. points that have the same 3D coordinates) (option 
.-d

.SH OPTIONS
.IP -h
print a short help message
.IP -d
turn on the doublett checking and remove all duplicated points.
.IP -i
the name of the input file. (if not specified stdin is used as input)
.IP -o
the name of the output file. (if not specified stdout is used as input)
.PP
The options have to be followed by the name of the input file format and the
name of the output file format.

.SH DIAGNOSTICS
The
.B surfaceconvert
program uses the following exit codes:
.TP 
.B 0
everything went just fine
.TP
.B 1
the program detected problems during the file input. These can either be caused
by a misspelled filename or by the fact that the input is not formatted in the
input format.
.TP
.B 2
error during the output generation. This is most probably caused by a bad
filename.

.SH AUTHOR
Christian Hofbauer <christian.hofbauer@pharma.novartis.com>
