CREATE TABLE centers (
  id int(11) NOT NULL auto_increment,
  x double default NULL,
  y double default NULL,
  z double default NULL,
  r double default NULL,
  name varchar(100) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

CREATE TABLE results (
  id int(11) NOT NULL auto_increment,
	experiment int(11) default '0',
  conditions varchar(50) default '',
	pairs  int(11) default '0',
	points int(11) default '0',
	rmsd double default '0',
	mol2file varchar(255) default '',
	comment text,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

CREATE TABLE experiments (
  id int(11) NOT NULL auto_increment,
  name varchar(50) default NULL,
  radius double default NULL,
  vertex_dist int(11) default NULL,
  surface_a int(11) default NULL,
  surface_b int(11) default NULL,
  resolution int(11) default NULL,
  step double default NULL,
  datafile_a varchar(255) default NULL,
  datafile_b varchar(255) default NULL,
  cols int(11) default NULL,
  results text,
  center_a int(11) default '0',
  center_b int(11) default '0',
  PRIMARY KEY  (id),
  KEY surface_b_ix (surface_b),
  KEY name_ix (name),
  KEY radius_ix (radius),
  KEY surface_a_ix (surface_a)
) TYPE=MyISAM;

CREATE TABLE patches (
  id int(11) NOT NULL auto_increment,
  surface int(11) NOT NULL default '0',
  center int(11) NOT NULL default '0',
  radius double NOT NULL default '0',
  points int(11) default NULL,
  distset int(10) unsigned default '0',
  patch mediumblob,
  PRIMARY KEY  (surface,center,radius),
  KEY id_ix (id),
  KEY center_ix (center)
) TYPE=MyISAM;

CREATE TABLE surface_centers (
  surface int(11) default NULL,
  center int(11) default NULL
) TYPE=MyISAM;

CREATE TABLE surfaces (
  id int(11) NOT NULL auto_increment,
  name varchar(50) default NULL,
  pdb varchar(255) default NULL,
  probe double default NULL,
  density double default NULL,
  points int(11) default NULL,
  surface mediumblob,
  PRIMARY KEY  (id),
  KEY probe_ix (probe),
  KEY density_ix (density)
) TYPE=MyISAM;

