/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

#ifdef HAVE_CONFIG_H
#  include <config.h>
#  ifdef HAVE_STD
#    include <fstream>
#    include <sstream>
#    include <cstdio>
#    include <iostream>
#    include <iomanip>
#    include <algorithm>
#    include <vector>
#  else
#    include <fstream.h>
#    include <sstream.h>
#    include <cstdio.h>
#    include <iostream.h>
#    include <iomanip.h>
#    include <algorithm.h>
#    include <map.h>
#    include <vector.h>
#  endif //HAVE_STD
#else //HAVE_CONFIG_H
#  include <fstream>
#  include <sstream>
#  include <cstdio>
#  include <iostream>
#  include <iomanip>
#  include <algorithm>
#  include <vector>
#endif //HAVE_CONFIG_H

#include "meshtrimesh.hh"

//******************************************************************************
bool meshTrimesh::read(const string& aFile)
//******************************************************************************
{
  return false;
}

//******************************************************************************
bool meshTrimesh::read(istream& aStream)
//******************************************************************************
{
  return false;
}

//******************************************************************************
bool meshTrimesh::write(const string& aFile)
//******************************************************************************
{
  //open the File
  ofstream stream(aFile.c_str());
  if (!stream)
  {
    cerr << "File: " << aFile << " could not be created" << endl;
    return false;
  }

  bool result = write(stream);  

  stream.close();
  return result;
}


//******************************************************************************
bool meshTrimesh::write(ostream& aStream)
//******************************************************************************
{
  mesh_t& Mesh = getMesh();
  vector<Triangle>& Triangles = getTriangles();
  map< int, vector<int> >& vertfaceIndex = getvertfaceIndex();

  char headline[200];

  //write format descriptor
  aStream << "MeshVersionFormatted 1" << endl
					<< "Dimension 3" << endl << endl;
  
  //VERTICES
	aStream << "Vertices\n" << num_vertices(Mesh) << endl;

  //write the vertices
  for(Trimesh::vertex_it v=mesh_structure->begin();v!=mesh_structure->end();++v)
  { 
    char linebuffer[200];
    
    sprintf(linebuffer, "%9.3f %9.3f %9.3f 0\n",
						(*data_map)[*v].coordinates[0],
						(*data_map)[*v].coordinates[1],
						(*data_map)[*v].coordinates[2]);

    aStream << linebuffer;
  }

	//VERTICES
	aStream << "Triangles\n" << num_edges(Mesh) << endl;
		
  //write the triangles
  for(Trimesh::FaceIter f=mesh_structure->beginFace();f!=mesh_structure->endFace();++f)
  {
    char linebuffer[200];

    sprintf(linebuffer, "%6d %6d %6d 508\n",
						f->getVertexIndex(0)+1,f->getVertexIndex(1)+1,f->getVertexIndex(2)+1);
    aStream << linebuffer;
  }

  return true;
}
