/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

/**
 * \file xercesns.hh
 *
 * Author : Christian Hofbauer (chofbaue@qspr03.tuwien.ac.at)\n
 * started at 30 Jun 2004, last CVS commit 2004/06/30 06:51:06
 */

#ifndef XERCESNS_HH
#define XERCESNS_HH

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <xercesc/util/XercesDefs.hpp>

#ifdef XERCES_CPP_NAMESPACE
#  define XERCESNS       XERCES_CPP_NAMESPACE_QUALIFIER
#  define XERCESNS_USE   XERCES_CPP_NAMESPACE_USE
#  define XERCESNS_BEGIN XERCES_CPP_NAMESPACE_BEGIN
#  define XERCESNS_END   XERCES_CPP_NAMESPACE_END
#else
#  define XERCESNS      
#  define XERCESNS_USE  
#  define XERCESNS_BEGIN
#  define XERCESNS_END  
#endif

#ifdef HAVE_NAMESPACES
#  define XERCES_FORWARD(classname) XERCESNS_BEGIN class classname; XERCESNS_END 
#else
#  define XERCES_FORWARD(classname) class classname; 
#endif

#endif // XERCESNS_HH
