/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

#include <float.h>
#include <unistd.h>

//BOOST.test
#include <boost/test/included/unit_test_framework.hpp>
#include <boost/test/unit_test_log.hpp>

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifdef HAVE_STD
#  include <iostream>
#else
#  include <iostream.h>
#endif

#include <xmlutils.hh>

#include "conversion_test.hh"
#include "reader_test.hh"
#include "writer_test.hh"
#include "xmlutils_test.hh"

#ifdef HAVE_NAMESPACES
using boost::unit_test_framework::test_suite;
using namespace std;
XERCESNS_USE
#endif 

//******************************************************************************
test_suite* init_unit_test_suite(int argc, char* argv[]) 
//******************************************************************************
{
	std::auto_ptr<test_suite> test( BOOST_TEST_SUITE( "xmlutils tests" ) );
	
// 	try
// 	{
// 		//XMLUtils::xmlInit();
// 	}
// 	catch (XMLError err)
// 	{
// 		cerr << err.what() << endl;
// 		return 0;
// 	}

	test->add(new conversion_test_suite());
	test->add(new reader_test_suite());
	test->add(new writer_test_suite());
	test->add(new xmlutils_test_suite());

	return test.release();
}
