/*******************************************************************************
 Copyright (C) 2001-2004 by Novartis Institutes of Biomedical Research
 
 This program is free software; you can redistribute it and/or modify it
 under the terms of the Novartis Open Source License as published by
 Novartis AG; either version 1, or (at your option) any later version of
 the license.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 Novartis Open Source License for more details.
 
*******************************************************************************/

#ifndef WRITER_TEST_HH
#define WRITER_TEST_HH

#ifdef HAVE_CONFIG
#  include <config.h>
#endif

#include <string>
#include <boost/test/unit_test_suite.hpp>

#include <xercesns.hh>

#ifdef HAVE_NAMESPACES
XERCESNS_BEGIN
#endif

class DOMDocument;
//class DOMNode;

#ifdef HAVE_NAMESPACES
XERCESNS_END
#endif

class XMLConvenientWriter;

struct writer_test
{
	writer_test();
	~writer_test();

	void test_writing_file();
	void test_writing_stream();
	void test_writing_char();
	XMLConvenientWriter* prepare_writing();

  void test_output(const std::string& name, const XERCESNS DOMDocument* const tdoc);

	XERCESNS DOMDocument* document;
};
	 
struct writer_test_suite : public boost::unit_test_framework::test_suite 
{
	writer_test_suite();
};
	  
#endif //WRITER_TEST_HH
